org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertyTabsRegistryEventListener

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener
  - - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertyTabsRegistryEventListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryEventListener

    public class LegacyPropertyTabsRegistryEventListener
    extends AbstractRegistryEventListener

Utility class used to retrieved the descriptors of extensions.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

### Field Summary

Fields
`static java.lang.String` `AFTER_TAB_ATTR` Optional afterTab attribute of extension point.
`static java.lang.String` `CATEGORY_ATTR` Required category attribute of extension point.
`static java.lang.String` `CONTRIBUTOR_ID_ATTR` Required contributorId attribute of extension point.
`static java.lang.String` `ID_ATTR` Required id attribute of extension point.
`static java.lang.String` `IMAGE_ATTR` Optional image attribute of extension point.
`static java.lang.String` `INDENTED_ATTR` Optional indented attribute of extension point.
`static java.lang.String` `LABEL_ATTR` Required label attribute of extension point.
`static java.lang.String` `TAG_PROPERTY_TAB` PropertyTab tag of extension point.
`static java.lang.String` `TAG_PROPERTY_TABS` PropertyTab tag of extension point.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertyTabsRegistryEventListener(java.lang.String namespace, java.lang.String extensionPointID, LegacyPropertyTabRegistry itemRegistry)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the addition of the given configuration element.
`protected boolean` `processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the removal of the given configuration element.
`protected boolean` `validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Validates the given configuration element.

### Methods inherited from class org.eclipse.eef.properties.ui.legacy.internal.extension.AbstractRegistryEventListener

`added, added, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG_PROPERTY_TABS

    public static final java.lang.String TAG_PROPERTY_TABS

PropertyTab tag of extension point.

See Also:
  Constant Field Values

#### CONTRIBUTOR_ID_ATTR

    public static final java.lang.String CONTRIBUTOR_ID_ATTR

Required contributorId attribute of extension point.

See Also:
  Constant Field Values

#### TAG_PROPERTY_TAB

    public static final java.lang.String TAG_PROPERTY_TAB

PropertyTab tag of extension point.

See Also:
  Constant Field Values

#### LABEL_ATTR

    public static final java.lang.String LABEL_ATTR

Required label attribute of extension point.

See Also:
  Constant Field Values

#### CATEGORY_ATTR

    public static final java.lang.String CATEGORY_ATTR

Required category attribute of extension point.

See Also:
  Constant Field Values

#### AFTER_TAB_ATTR

    public static final java.lang.String AFTER_TAB_ATTR

Optional afterTab attribute of extension point.

See Also:
  Constant Field Values

#### ID_ATTR

    public static final java.lang.String ID_ATTR

Required id attribute of extension point.

See Also:
  Constant Field Values

#### INDENTED_ATTR

    public static final java.lang.String INDENTED_ATTR

Optional indented attribute of extension point.

See Also:
  Constant Field Values

#### IMAGE_ATTR

    public static final java.lang.String IMAGE_ATTR

Optional image attribute of extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### LegacyPropertyTabsRegistryEventListener

    public LegacyPropertyTabsRegistryEventListener(java.lang.String namespace,
                                                   java.lang.String extensionPointID,
                                                   LegacyPropertyTabRegistry itemRegistry)

The constructor.

Parameters:
  `namespace` - The namespace of the extension point
  `extensionPointID` - The identifier of the extension point
  `itemRegistry` - The item registry

### Method Detail

#### validateConfigurationElement

    protected boolean validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Validates the given configuration element.

Specified by:
  `validateConfigurationElement` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element is valid, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement)`

#### processAddition

    protected boolean processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the addition of the given configuration element.

Specified by:
  `processAddition` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly added, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processAddition(org.eclipse.core.runtime.IConfigurationElement)`

#### processRemoval

    protected boolean processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the removal of the given configuration element.

Specified by:
  `processRemoval` in class `AbstractRegistryEventListener`
Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly removed, `false` otherwise
See Also:
  `org.eclipse.eef.ide.internal.extensions.AbstractRegistryEventListener#processRemoval(org.eclipse.core.runtime.IConfigurationElement)`